<?php
/* @wordpress-plugin
 * Plugin Name:       WooCommerce PayoMatix Gateway
 * Plugin URI:        https://payomatix.com/
 * Description:       Payomatix Direct Card Payment is help to do payment using third party debit card/credit card payment getway.
 * Version:           1.0.0
 * WC requires at least: 3.0
 * WC tested up to: 5.3
 * Author:            PayoMatix
 * Author URI:        https://payomatix.com/about/
 * Text Domain:       woocommerce-payomatix-gateway
 * Domain Path: /languages
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 */

add_action( 'before_woocommerce_init', function() {
	if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
		\Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
	}
} );

$active_plugins = apply_filters('active_plugins', get_option('active_plugins'));
if(payomatix_custom_payment_is_woocommerce_active()){
	add_filter('woocommerce_payment_gateways', 'add_payomatix_payment_gateway');
	function add_payomatix_payment_gateway( $gateways ){
		$gateways[] = 'WC_PayoMatix_Payment_Gateway';
		return $gateways;
	}
	
	add_action('plugins_loaded', 'init_payomatix_payment_gateway');
	function init_payomatix_payment_gateway(){
		require 'class-woocommerce-payomatix-payment-gateway.php';
	}

	add_action( 'plugins_loaded', 'payomatix_payment_load_plugin_textdomain' );
	function payomatix_payment_load_plugin_textdomain() {
	  load_plugin_textdomain( 'woocommerce-payomatix-gateway', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
	}

}

/**
 * @return bool
 */
function payomatix_custom_payment_is_woocommerce_active()
{
	$active_plugins = (array) get_option('active_plugins', array());

	if (is_multisite()) {
		$active_plugins = array_merge($active_plugins, get_site_option('active_sitewide_plugins', array()));
	}

	return in_array('woocommerce/woocommerce.php', $active_plugins) || array_key_exists('woocommerce/woocommerce.php', $active_plugins);
}

add_action(
	'woocommerce_endpoint_order-received_title',
	function( $title ) {
		global $wp;
		$order_id  = isset( $wp->query_vars['order-received'] ) ? absint( $wp->query_vars['order-received'] ) : 0;
		$order = wc_get_order( $order_id );
		if ( $order && $order->has_status( 'failed' ) ) {
			return 'Payment Failed';
		}

		return $title;
	}
);